// Polyray include file: SPOTCALC.INC
// by Rob McGregor

/**************************************************************
  Calculate the values for spotlight "at" vector (spot1)
***************************************************************/

define L1Px t3 * (-0.5 * L1n1x[key]) + t3 * (1.5 * L1n2x[key]) + t3 * 
            (-1.5 * L1n3x[key]) + t3 * (0.5 * L1n4x[key]) + t2 * 
            L1n1x[key] + t2 * (-2.5 * L1n2x[key]) + t2 * (2 * L1n3x[key]) + 
            t2 * (-0.5 * L1n4x[key]) + t * (-0.5 * L1n1x[key]) + t * 
            (0.5 * L1n3x[key]) + L1n2x[key]

define L1Py t3 * (-0.5 * L1n1y[key]) + t3 * (1.5 * L1n2y[key]) + t3 * 
            (-1.5 * L1n3y[key]) + t3 * (0.5 * L1n4y[key]) + t2 * 
            L1n1y[key] + t2 * (-2.5 * L1n2y[key]) + t2 * (2 * L1n3y[key]) + 
            t2 * (-0.5 * L1n4y[key]) + t * (-0.5 * L1n1y[key]) + t * 
            (0.5 * L1n3y[key]) + L1n2y[key]

define L1Pz t3 * (-0.5 * L1n1z[key]) + t3 * (1.5 * L1n2z[key]) + t3 * 
            (-1.5 * L1n3z[key]) + t3 * (0.5 * L1n4z[key]) + t2 * 
            L1n1z[key] + t2 * (-2.5 * L1n2z[key]) + t2 * (2 * L1n3z[key]) + 
            t2 * (-0.5 * L1n4z[key]) + t * (-0.5 * L1n1z[key]) + t * 
            (0.5 * L1n3z[key]) + L1n2z[key]

/**************************************************************
  Calculate the values for spotlight "at" vector (spot1)
***************************************************************/

define L2Px t3 * (-0.5 * L2n1x[key]) + t3 * (1.5 * L2n2x[key]) + t3 * 
            (-1.5 * L2n3x[key]) + t3 * (0.5 * L2n4x[key]) + t2 * 
            L2n1x[key] + t2 * (-2.5 * L2n2x[key]) + t2 * (2 * L2n3x[key]) + 
            t2 * (-0.5 * L2n4x[key]) + t * (-0.5 * L2n1x[key]) + t * 
            (0.5 * L2n3x[key]) + L2n2x[key]

define L2Py t3 * (-0.5 * L2n1y[key]) + t3 * (1.5 * L2n2y[key]) + t3 * 
            (-1.5 * L2n3y[key]) + t3 * (0.5 * L2n4y[key]) + t2 * 
            L2n1y[key] + t2 * (-2.5 * L2n2y[key]) + t2 * (2 * L2n3y[key]) + 
            t2 * (-0.5 * L2n4y[key]) + t * (-0.5 * L2n1y[key]) + t * 
            (0.5 * L2n3y[key]) + L2n2y[key]


define L2Pz t3 * (-0.5 * L2n1z[key]) + t3 * (1.5 * L2n2z[key]) + t3 * 
            (-1.5 * L2n3z[key]) + t3 * (0.5 * L2n4z[key]) + t2 * 
            L2n1z[key] + t2 * (-2.5 * L2n2z[key]) + t2 * (2 * L2n3z[key]) + 
            t2 * (-0.5 * L2n4z[key]) + t * (-0.5 * L2n1z[key]) + t * 
            (0.5 * L2n3z[key]) + L2n2z[key]

// Now move the lights
spot_light white, <2, 5, -1>, <L1Px, L1Py, L1Pz>, 1.85, 15, 25
spot_light white, <2, 5, -1>, <L2Px, L2Py, L2Pz>, 1.85, 15, 25
